<?php

namespace Litepci\Compliancetype\Repositories\Eloquent;

use Litepci\Compliancetype\Interfaces\VersionRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class VersionRepository extends BaseRepository implements VersionRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litepci.compliancetype.version.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepci.compliancetype.version.model.model');
    }
}
