<?php

namespace Litepci;

use DB;
use Illuminate\Database\Seeder;

class CompliancetypeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('versions')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'compliancetype.version.view',
                'name'      => 'View Version',
            ],
            [
                'slug'      => 'compliancetype.version.create',
                'name'      => 'Create Version',
            ],
            [
                'slug'      => 'compliancetype.version.edit',
                'name'      => 'Update Version',
            ],
            [
                'slug'      => 'compliancetype.version.delete',
                'name'      => 'Delete Version',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/compliancetype/version',
                'name'        => 'Version',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/compliancetype/version',
                'name'        => 'Version',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'version',
                'name'        => 'Version',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Compliancetype',
                'module'    => 'Version',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'compliancetype.version.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
